#include <stdio.h>
int main ()
{
int n,i,j;
scanf("%d",&n);
if (n<=0)          //Ako je unet negativan broj
  printf("-1");
else{            
for (i=0;i<n;i++){    //n redova
  for(j=0;j<i;j++)    //koji je red toliko ima i razmaka na pocetku
    printf(" ");    
  for(j=0;j<n-1-i;j++)   //broj *- u redu pre poslednje zvezdice
    printf("*-");
  printf("*\n");   //poslednja zvezdica u redu
}
}
}